Subject: Re: [PATCH v2 1/3] ci (check-whitespace): suggest fixes for errors

From: Đoàn Trần Công Danh <[email-masked]>
Date: Wed, 21 Dec 2022 08:53:21 +0700

On 2022-12-20 11:55:57-0800, Chris Webster <[email-masked]> wrote:
> > I think this change is getting too long to be embeded in a yaml file.
> > I think it's better to move the shell code into its own script, so we
> > can have better code highlight in editor and a proper shebang (/bin/bash).
> 
> That would need to be a separate patch?

Yes, I think, a patch to move the whole block into a script, maybe in
ci/ folder.
> 
> > > +          echo "Run \`git rebase --whitespace=fix ${lastcommit}\` and \`git push --force\` to correct the problem." >>$GITHUB_STEP_SUMMARY
> >
> > When move this block into its own script, we can use single quote
> > string here, too.
> 
> I am not sure what you mean.

I mean we can write:

	echo 'Run `git rebase ...` to correct the problem'

With single quote, we need less escape.

-- 
Danh